local addon, ns = ...

do
-- Shared Media
local media = LibStub("LibSharedMedia-3.0")

local SOUND_NAME = {
	"Rubber Ducky",
	"Cartoon FX", 
	"Explosion", 
	"Shing!",
	"Wham!",
	"Simon Chime",
	"War Drums",
	"Cheer",
	"Humm",
	"Short Circuit",
	"Fel Portal",
	"Fel Nova",
	"Argh!",
	"Bzz Zap!",
	"None",
};
local SOUND_PATH = {
	[[Sound\Doodad\Goblin_Lottery_Open01.ogg]],
	[[Sound\Doodad\Goblin_Lottery_Open03.ogg]],
	[[Sound\Doodad\Hellfire_Raid_FX_Explosion05.ogg]],
	[[Sound\Doodad\PortcullisActive_Closed.ogg]],
	[[Sound\Doodad\PVP_Lordaeron_Door_Open.ogg]],
	[[Sound\Doodad\SimonGame_LargeBlueTree.ogg]],
	[[Sound\Event Sounds\Event_wardrum_ogre.ogg]],
	[[Sound\Event Sounds\OgreEventCheerUnique.ogg]],
	[[Sound\Spells\SimonGame_Visual_GameStart.ogg]],
	[[Sound\Spells\SimonGame_Visual_BadPress.ogg]],
	[[Sound\Spells\Sunwell_Fel_PortalStand.ogg]],
	[[Sound\Spells\SeepingGaseous_Fel_Nova.ogg]],
	[[Sound\Events\EbonHold_ManScream3_08.ogg]],
	[[Sound\Spells\Ulduar_IronConcil_OverloadEffect.ogg]],
	[[]],
};

-- load sounds
for i = 1, #SOUND_NAME do
media:Register('sound', SOUND_NAME[i], SOUND_PATH[i])
end
end

