local addon, ns = ...

do
   -- Shared Media
   local media = LibStub("LibSharedMedia-3.0")
   
   local TEXTURES = {
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\default",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\bantobar",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\charcoal",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\glaze",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\otravi",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\perl",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\smooth",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\smudge",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\striped",
      "Interface\\AddOns\\KokoTotems_Timers\\Textures\\blank",
   }
   local TEXTURES_NAME = {
      "KTT Default",
      "Bantobar",
      "Charcoal",
      "Glaze",
      "Otravi",
      "Pearl",
      "Smooth",
      "Smudge",
      "Striped",
      "Empty",
   }
   
   for i = 1, #TEXTURES do
      media:Register('STATUSBAR', TEXTURES_NAME[i], TEXTURES[i])
   end
end

